1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# src/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16
17
18# Makefile.am - for gcrypt/src
19# Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
20#               2006, 2007  Free Software Foundation, Inc.
21#
22# This file is part of Libgcrypt.
23#
24# Libgcrypt is free software; you can redistribute it and/or modify
25# it under the terms of the GNU Lesser General Public License as
26# published by the Free Software Foundation; either version 2.1 of
27# the License, or (at your option) any later version.
28#
29# Libgcrypt is distributed in the hope that it will be useful,
30# but WITHOUT ANY WARRANTY; without even the implied warranty of
31# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32# GNU Lesser General Public License for more details.
33#
34# You should have received a copy of the GNU General Public License
35# along with this program; if not, see <http://www.gnu.org/licenses/>.
36
37
38
39
40
41
42pkgdatadir = $(datadir)/libgcrypt
43pkgincludedir = $(includedir)/libgcrypt
44pkglibdir = $(libdir)/libgcrypt
45pkglibexecdir = $(libexecdir)/libgcrypt
46am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47install_sh_DATA = $(install_sh) -c -m 644
48install_sh_PROGRAM = $(install_sh) -c
49install_sh_SCRIPT = $(install_sh) -c
50INSTALL_HEADER = $(INSTALL_DATA)
51transform = $(program_transform_name)
52NORMAL_INSTALL = :
53PRE_INSTALL = :
54POST_INSTALL = :
55NORMAL_UNINSTALL = :
56PRE_UNINSTALL = :
57POST_UNINSTALL = :
58build_triplet = i686-pc-linux-gnu
59host_triplet = arm-unknown-linux-gnu
60bin_PROGRAMS = dumpsexp$(EXEEXT) hmac256$(EXEEXT) $(am__EXEEXT_1)
61#sbin_PROGRAMS = gcryptrnd$(EXEEXT)
62#am__append_1 = getrandom
63subdir = src
64DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
65	$(srcdir)/Makefile.in $(srcdir)/gcrypt.h.in \
66	$(srcdir)/libgcrypt-config.in $(srcdir)/versioninfo.rc.in \
67	ChangeLog
68ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
69am__aclocal_m4_deps = $(top_srcdir)/m4/gpg-error.m4 \
70	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
71	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
72	$(top_srcdir)/m4/lt~obsolete.m4 \
73	$(top_srcdir)/m4/noexecstack.m4 $(top_srcdir)/m4/onceonly.m4 \
74	$(top_srcdir)/m4/socklen.m4 $(top_srcdir)/m4/sys_socket_h.m4 \
75	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
76am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
77	$(ACLOCAL_M4)
78mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
79CONFIG_HEADER = $(top_builddir)/config.h
80CONFIG_CLEAN_FILES = gcrypt.h libgcrypt-config versioninfo.rc
81CONFIG_CLEAN_VPATH_FILES =
82am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
83am__vpath_adj = case $$p in \
84    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
85    *) f=$$p;; \
86  esac;
87am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
88am__install_max = 40
89am__nobase_strip_setup = \
90  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
91am__nobase_strip = \
92  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
93am__nobase_list = $(am__nobase_strip_setup); \
94  for p in $$list; do echo "$$p $$p"; done | \
95  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
96  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
97    if (++n[$$2] == $(am__install_max)) \
98      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
99    END { for (dir in files) print dir, files[dir] }'
100am__base_list = \
101  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
102  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
103am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
104	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" \
105	"$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(includedir)"
106LTLIBRARIES = $(lib_LTLIBRARIES)
107#am__DEPENDENCIES_1 = versioninfo.lo
108am__DEPENDENCIES_2 =
109am_libgcrypt_la_OBJECTS = libgcrypt_la-visibility.lo \
110	libgcrypt_la-misc.lo libgcrypt_la-global.lo \
111	libgcrypt_la-sexp.lo libgcrypt_la-hwfeatures.lo \
112	libgcrypt_la-stdmem.lo libgcrypt_la-secmem.lo \
113	libgcrypt_la-missing-string.lo libgcrypt_la-module.lo \
114	libgcrypt_la-fips.lo libgcrypt_la-hmac256.lo \
115	libgcrypt_la-ath.lo
116libgcrypt_la_OBJECTS = $(am_libgcrypt_la_OBJECTS)
117libgcrypt_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
118	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libgcrypt_la_CFLAGS) \
119	$(CFLAGS) $(libgcrypt_la_LDFLAGS) $(LDFLAGS) -o $@
120#am__EXEEXT_1 = getrandom$(EXEEXT)
121PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
122am_dumpsexp_OBJECTS = dumpsexp-dumpsexp.$(OBJEXT)
123dumpsexp_OBJECTS = $(am_dumpsexp_OBJECTS)
124#am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2)
125dumpsexp_DEPENDENCIES = $(am__DEPENDENCIES_3)
126dumpsexp_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
127	--mode=link $(CCLD) $(dumpsexp_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
128	$(LDFLAGS) -o $@
129am__gcryptrnd_SOURCES_DIST = gcryptrnd.c
130#am_gcryptrnd_OBJECTS =  \
131#	gcryptrnd-gcryptrnd.$(OBJEXT)
132gcryptrnd_OBJECTS = $(am_gcryptrnd_OBJECTS)
133#gcryptrnd_DEPENDENCIES = libgcrypt.la \
134#	$(am__DEPENDENCIES_2) \
135#	$(am__DEPENDENCIES_2)
136gcryptrnd_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
137	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gcryptrnd_CFLAGS) \
138	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
139am__getrandom_SOURCES_DIST = getrandom.c
140#am_getrandom_OBJECTS = getrandom.$(OBJEXT)
141getrandom_OBJECTS = $(am_getrandom_OBJECTS)
142getrandom_LDADD = $(LDADD)
143am_hmac256_OBJECTS = hmac256-hmac256.$(OBJEXT)
144hmac256_OBJECTS = $(am_hmac256_OBJECTS)
145hmac256_DEPENDENCIES = $(am__DEPENDENCIES_3)
146hmac256_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
147	--mode=link $(CCLD) $(hmac256_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
148	$(LDFLAGS) -o $@
149SCRIPTS = $(bin_SCRIPTS)
150DEFAULT_INCLUDES = -I. -I$(top_builddir)
151depcomp = $(SHELL) $(top_srcdir)/depcomp
152am__depfiles_maybe = depfiles
153am__mv = mv -f
154COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
157	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
158	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159CCLD = $(CC)
160LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
162	$(LDFLAGS) -o $@
163SOURCES = $(libgcrypt_la_SOURCES) $(dumpsexp_SOURCES) \
164	$(gcryptrnd_SOURCES) $(getrandom_SOURCES) $(hmac256_SOURCES)
165DIST_SOURCES = $(libgcrypt_la_SOURCES) $(dumpsexp_SOURCES) \
166	$(am__gcryptrnd_SOURCES_DIST) $(am__getrandom_SOURCES_DIST) \
167	$(hmac256_SOURCES)
168DATA = $(m4data_DATA)
169HEADERS = $(include_HEADERS)
170ETAGS = etags
171CTAGS = ctags
172DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
173ACLOCAL = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run aclocal-1.11
174AMTAR = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run tar
175AR = arm-brcm-linux-uclibcgnueabi-ar
176AS = arm-brcm-linux-uclibcgnueabi-as
177AUTOCONF = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run autoconf
178AUTOHEADER = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run autoheader
179AUTOMAKE = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run automake-1.11
180AWK = gawk
181BUILD_FILEVERSION = 
182BUILD_REVISION = 41756
183BUILD_TIMESTAMP = 
184CC = arm-brcm-linux-uclibcgnueabi-gcc
185CCAS = arm-brcm-linux-uclibcgnueabi-gcc
186CCASDEPMODE = depmode=gcc3
187CCASFLAGS = -Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/usr/include
188CCDEPMODE = depmode=gcc3
189CFLAGS = -Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/usr/include -fvisibility=hidden -Wall
190CPP = arm-brcm-linux-uclibcgnueabi-gcc -E
191CPPFLAGS = -I$(SRC_PATH)/build/usr/include
192CYGPATH_W = echo
193DEFS = -DHAVE_CONFIG_H
194DEPDIR = .deps
195DLLTOOL = dlltool
196DL_LIBS = 
197DSYMUTIL = 
198DUMPBIN = 
199ECHO_C = 
200ECHO_N = -n
201ECHO_T = 
202EGREP = /bin/grep -E
203EXEEXT = 
204FALLBACK_SOCKLEN_T = typedef socklen_t gcry_socklen_t;
205FGREP = /bin/grep -F
206GCRYPT_CIPHERS =  arcfour.lo blowfish.lo cast5.lo des.lo rijndael.lo twofish.lo serpent.lo rfc2268.lo seed.lo camellia.lo camellia-glue.lo
207GCRYPT_DIGESTS =  crc.lo md4.lo md5.lo sha256.lo sha512.lo tiger.lo whirlpool.lo rmd160.lo sha1.lo
208GCRYPT_PUBKEY_CIPHERS =  dsa.lo rsa.lo elgamal.lo ecc.lo
209GCRYPT_RANDOM =  rndlinux.lo
210GPG_ERROR_CFLAGS = 
211GPG_ERROR_CONFIG = $(SRC_PATH)/build/usr/bin/gpg-error-config
212GPG_ERROR_LIBS = $(SRC_PATH)/build/usr/lib/libgpg-error.so
213GREP = /bin/grep
214INSERT_SYS_SELECT_H =  include <sys/select.h>
215INSTALL = /usr/bin/install -c
216INSTALL_DATA = ${INSTALL} -m 644
217INSTALL_PROGRAM = ${INSTALL}
218INSTALL_SCRIPT = ${INSTALL}
219INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
220LD = arm-brcm-linux-uclibcgnueabi-ld
221LDFLAGS = -L$(SRC_PATH)/build/usr/lib
222LIBGCRYPT_CIPHERS = arcfour blowfish cast5 des aes twofish serpent rfc2268 seed camellia
223LIBGCRYPT_CONFIG_API_VERSION = 1
224LIBGCRYPT_CONFIG_CFLAGS = 
225LIBGCRYPT_CONFIG_HOST = arm-unknown-linux-gnu
226LIBGCRYPT_CONFIG_LIBS = -lgcrypt
227LIBGCRYPT_DIGESTS = crc md4 md5 rmd160 sha1 sha256 sha512 tiger whirlpool
228LIBGCRYPT_LT_AGE = 7
229LIBGCRYPT_LT_CURRENT = 18
230LIBGCRYPT_LT_REVISION = 0
231LIBGCRYPT_PUBKEY_CIPHERS = dsa elgamal rsa ecc
232LIBGCRYPT_THREAD_MODULES = 
233LIBOBJS = 
234LIBS = 
235LIBTOOL = $(SHELL) $(top_builddir)/libtool
236LIPO = 
237LN_S = ln -s
238LTLIBOBJS = 
239MAINT = #
240MAKEINFO = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/missing --run makeinfo
241MKDIR_P = /bin/mkdir -p
242MPI_SFLAGS = 
243NM = arm-brcm-linux-uclibcgnueabi-nm
244NMEDIT = 
245NOEXECSTACK_FLAGS = -Wa,--noexecstack
246OBJDUMP = arm-brcm-linux-uclibcgnueabi-objdump
247OBJEXT = o
248OTOOL = 
249OTOOL64 = 
250PACKAGE = libgcrypt
251PACKAGE_BUGREPORT = bug-libgcrypt@gnupg.org
252PACKAGE_NAME = libgcrypt
253PACKAGE_STRING = libgcrypt 1.5.0
254PACKAGE_TARNAME = libgcrypt
255PACKAGE_URL = 
256PACKAGE_VERSION = 1.5.0
257PATH_SEPARATOR = :
258PTH_CFLAGS = 
259PTH_CONFIG = 
260PTH_LIBS = 
261RANLIB = arm-brcm-linux-uclibcgnueabi-ranlib
262RC = 
263SED = /bin/sed
264SET_MAKE = 
265SHELL = /bin/sh
266STRIP = arm-brcm-linux-uclibcgnueabi-strip
267SYS_SOCKET_H = 
268VERSION = 1.5.0
269abs_builddir = $(SRC_PATH)/libgcrypt-1.5.0/src
270abs_srcdir = $(SRC_PATH)/libgcrypt-1.5.0/src
271abs_top_builddir = $(SRC_PATH)/libgcrypt-1.5.0
272abs_top_srcdir = $(SRC_PATH)/libgcrypt-1.5.0
273ac_ct_CC = 
274ac_ct_DUMPBIN = 
275am__include = include
276am__leading_dot = .
277am__quote = 
278am__tar = ${AMTAR} chof - "$$tardir"
279am__untar = ${AMTAR} xf -
280bindir = ${exec_prefix}/bin
281build = i686-pc-linux-gnu
282build_alias = 
283build_cpu = i686
284build_os = linux-gnu
285build_vendor = pc
286builddir = .
287datadir = ${datarootdir}
288datarootdir = ${prefix}/share
289docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
290dvidir = ${docdir}
291emacs_local_vars_begin = Local Variables:
292emacs_local_vars_end = End:
293emacs_local_vars_read_only = buffer-read-only: t
294exec_prefix = ${prefix}
295host = arm-unknown-linux-gnu
296host_alias = arm-linux
297host_cpu = arm
298host_os = linux-gnu
299host_vendor = unknown
300htmldir = ${docdir}
301includedir = ${prefix}/include
302infodir = ${datarootdir}/info
303install_sh = ${SHELL} $(SRC_PATH)/libgcrypt-1.5.0/install-sh
304libdir = ${exec_prefix}/lib
305libexecdir = ${exec_prefix}/libexec
306localedir = ${datarootdir}/locale
307localstatedir = ${prefix}/var
308lt_ECHO = echo
309mandir = ${datarootdir}/man
310mkdir_p = /bin/mkdir -p
311oldincludedir = /usr/include
312pdfdir = ${docdir}
313prefix = /usr
314program_transform_name = s,x,x,
315psdir = ${docdir}
316sbindir = ${exec_prefix}/sbin
317sharedstatedir = ${prefix}/com
318srcdir = .
319sysconfdir = ${prefix}/etc
320target_alias = 
321top_build_prefix = ../
322top_builddir = ..
323top_srcdir = ..
324EXTRA_DIST = Manifest libgcrypt-config.in libgcrypt.m4 libgcrypt.vers \
325             gcrypt.h.in libgcrypt.def
326
327bin_SCRIPTS = libgcrypt-config
328m4datadir = $(datadir)/aclocal
329m4data_DATA = libgcrypt.m4
330include_HEADERS = gcrypt.h gcrypt-module.h
331lib_LTLIBRARIES = libgcrypt.la
332arch_gpg_error_cflags = 
333
334# Depending on the architecture some targets require libgpg-error.
335#arch_gpg_error_cflags = $(GPG_ERROR_CFLAGS)
336arch_gpg_error_libs = 
337#arch_gpg_error_libs = $(GPG_ERROR_LIBS)
338#libgcrypt_version_script_cmd = 
339libgcrypt_version_script_cmd = -Wl,--version-script=$(srcdir)/libgcrypt.vers
340libgcrypt_la_CFLAGS = $(GPG_ERROR_CFLAGS)
341libgcrypt_la_SOURCES = g10lib.h visibility.c visibility.h types.h \
342	cipher.h cipher-proto.h \
343	misc.c global.c sexp.c hwfeatures.c \
344	stdmem.c stdmem.h secmem.c secmem.h \
345	mpi.h missing-string.c module.c fips.c \
346	hmac256.c hmac256.h \
347	ath.h ath.c
348
349#RCCOMPILE = $(RC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
350#	$(libgcrypt_la_CPPFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS)
351
352#LTRCCOMPILE = $(LIBTOOL) --mode=compile --tag=RC $(RCCOMPILE)
353#SUFFIXES = .rc .lo
354gcrypt_res = 
355#gcrypt_res = versioninfo.lo
356no_undefined = 
357#no_undefined = -no-undefined
358export_symbols = 
359#export_symbols = -export-symbols $(srcdir)/libgcrypt.def
360gcrypt_deps = 
361#gcrypt_deps = $(gcrypt_res) libgcrypt.def
362gcrypt_res_ldflag = 
363libgcrypt_la_LDFLAGS = $(no_undefined) $(export_symbols) \
364	$(libgcrypt_version_script_cmd) -version-info \
365	18:0:7
366
367libgcrypt_la_DEPENDENCIES = \
368	../cipher/libcipher.la \
369	../random/librandom.la \
370	../mpi/libmpi.la \
371	../compat/libcompat.la \
372	$(srcdir)/libgcrypt.vers $(gcrypt_deps)
373
374libgcrypt_la_LIBADD = $(gcrypt_res) \
375	../cipher/libcipher.la \
376	../random/librandom.la \
377	../mpi/libmpi.la \
378	../compat/libcompat.la  $(GPG_ERROR_LIBS)
379
380dumpsexp_SOURCES = dumpsexp.c
381dumpsexp_CFLAGS = $(arch_gpg_error_cflags)
382dumpsexp_LDADD = $(arch_gpg_error_libs)
383hmac256_SOURCES = hmac256.c
384hmac256_CFLAGS = -DSTANDALONE $(arch_gpg_error_cflags)
385hmac256_LDADD = $(arch_gpg_error_libs)
386#gcryptrnd_SOURCES = gcryptrnd.c
387#gcryptrnd_CFLAGS = $(GPG_ERROR_CFLAGS) $(PTH_CFLAGS)
388#gcryptrnd_LDADD = libgcrypt.la $(GPG_ERROR_LIBS) $(PTH_LIBS)
389#getrandom_SOURCES = getrandom.c
390all: all-am
391
392.SUFFIXES:
393.SUFFIXES: .rc .lo .c .o .obj
394$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
395	@for dep in $?; do \
396	  case '$(am__configure_deps)' in \
397	    *$$dep*) \
398	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
399	        && { if test -f $@; then exit 0; else break; fi; }; \
400	      exit 1;; \
401	  esac; \
402	done; \
403	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
404	$(am__cd) $(top_srcdir) && \
405	  $(AUTOMAKE) --gnu src/Makefile
406.PRECIOUS: Makefile
407Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
408	@case '$?' in \
409	  *config.status*) \
410	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
411	  *) \
412	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
413	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
414	esac;
415
416$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
417	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
418
419$(top_srcdir)/configure: # $(am__configure_deps)
420	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
421$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
422	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
423$(am__aclocal_m4_deps):
424gcrypt.h: $(top_builddir)/config.status $(srcdir)/gcrypt.h.in
425	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
426libgcrypt-config: $(top_builddir)/config.status $(srcdir)/libgcrypt-config.in
427	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
428versioninfo.rc: $(top_builddir)/config.status $(srcdir)/versioninfo.rc.in
429	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
430install-libLTLIBRARIES: $(lib_LTLIBRARIES)
431	@$(NORMAL_INSTALL)
432	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
433	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
434	list2=; for p in $$list; do \
435	  if test -f $$p; then \
436	    list2="$$list2 $$p"; \
437	  else :; fi; \
438	done; \
439	test -z "$$list2" || { \
440	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
441	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
442	}
443
444uninstall-libLTLIBRARIES:
445	@$(NORMAL_UNINSTALL)
446	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
447	for p in $$list; do \
448	  $(am__strip_dir) \
449	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
450	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
451	done
452
453clean-libLTLIBRARIES:
454	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
455	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
456	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
457	  test "$$dir" != "$$p" || dir=.; \
458	  echo "rm -f \"$${dir}/so_locations\""; \
459	  rm -f "$${dir}/so_locations"; \
460	done
461libgcrypt.la: $(libgcrypt_la_OBJECTS) $(libgcrypt_la_DEPENDENCIES) 
462	$(libgcrypt_la_LINK) -rpath $(libdir) $(libgcrypt_la_OBJECTS) $(libgcrypt_la_LIBADD) $(LIBS)
463install-binPROGRAMS: $(bin_PROGRAMS)
464	@$(NORMAL_INSTALL)
465	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
466	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
467	for p in $$list; do echo "$$p $$p"; done | \
468	sed 's/$(EXEEXT)$$//' | \
469	while read p p1; do if test -f $$p || test -f $$p1; \
470	  then echo "$$p"; echo "$$p"; else :; fi; \
471	done | \
472	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
473	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
474	sed 'N;N;N;s,\n, ,g' | \
475	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
476	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
477	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
478	    else { print "f", $$3 "/" $$4, $$1; } } \
479	  END { for (d in files) print "f", d, files[d] }' | \
480	while read type dir files; do \
481	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
482	    test -z "$$files" || { \
483	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
484	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
485	    } \
486	; done
487
488uninstall-binPROGRAMS:
489	@$(NORMAL_UNINSTALL)
490	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
491	files=`for p in $$list; do echo "$$p"; done | \
492	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
493	      -e 's/$$/$(EXEEXT)/' `; \
494	test -n "$$list" || exit 0; \
495	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
496	cd "$(DESTDIR)$(bindir)" && rm -f $$files
497
498clean-binPROGRAMS:
499	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
500	echo " rm -f" $$list; \
501	rm -f $$list || exit $$?; \
502	test -n "$(EXEEXT)" || exit 0; \
503	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
504	echo " rm -f" $$list; \
505	rm -f $$list
506install-sbinPROGRAMS: $(sbin_PROGRAMS)
507	@$(NORMAL_INSTALL)
508	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
509	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
510	for p in $$list; do echo "$$p $$p"; done | \
511	sed 's/$(EXEEXT)$$//' | \
512	while read p p1; do if test -f $$p || test -f $$p1; \
513	  then echo "$$p"; echo "$$p"; else :; fi; \
514	done | \
515	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
516	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
517	sed 'N;N;N;s,\n, ,g' | \
518	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
519	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
520	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
521	    else { print "f", $$3 "/" $$4, $$1; } } \
522	  END { for (d in files) print "f", d, files[d] }' | \
523	while read type dir files; do \
524	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
525	    test -z "$$files" || { \
526	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
527	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
528	    } \
529	; done
530
531uninstall-sbinPROGRAMS:
532	@$(NORMAL_UNINSTALL)
533	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
534	files=`for p in $$list; do echo "$$p"; done | \
535	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
536	      -e 's/$$/$(EXEEXT)/' `; \
537	test -n "$$list" || exit 0; \
538	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
539	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
540
541clean-sbinPROGRAMS:
542	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
543	echo " rm -f" $$list; \
544	rm -f $$list || exit $$?; \
545	test -n "$(EXEEXT)" || exit 0; \
546	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
547	echo " rm -f" $$list; \
548	rm -f $$list
549dumpsexp$(EXEEXT): $(dumpsexp_OBJECTS) $(dumpsexp_DEPENDENCIES) 
550	@rm -f dumpsexp$(EXEEXT)
551	$(dumpsexp_LINK) $(dumpsexp_OBJECTS) $(dumpsexp_LDADD) $(LIBS)
552gcryptrnd$(EXEEXT): $(gcryptrnd_OBJECTS) $(gcryptrnd_DEPENDENCIES) 
553	@rm -f gcryptrnd$(EXEEXT)
554	$(gcryptrnd_LINK) $(gcryptrnd_OBJECTS) $(gcryptrnd_LDADD) $(LIBS)
555getrandom$(EXEEXT): $(getrandom_OBJECTS) $(getrandom_DEPENDENCIES) 
556	@rm -f getrandom$(EXEEXT)
557	$(LINK) $(getrandom_OBJECTS) $(getrandom_LDADD) $(LIBS)
558hmac256$(EXEEXT): $(hmac256_OBJECTS) $(hmac256_DEPENDENCIES) 
559	@rm -f hmac256$(EXEEXT)
560	$(hmac256_LINK) $(hmac256_OBJECTS) $(hmac256_LDADD) $(LIBS)
561install-binSCRIPTS: $(bin_SCRIPTS)
562	@$(NORMAL_INSTALL)
563	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
564	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
565	for p in $$list; do \
566	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
567	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
568	done | \
569	sed -e 'p;s,.*/,,;n' \
570	    -e 'h;s|.*|.|' \
571	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
572	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
573	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
574	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
575	      if (++n[d] == $(am__install_max)) { \
576		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
577	    else { print "f", d "/" $$4, $$1 } } \
578	  END { for (d in files) print "f", d, files[d] }' | \
579	while read type dir files; do \
580	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
581	     test -z "$$files" || { \
582	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
583	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
584	     } \
585	; done
586
587uninstall-binSCRIPTS:
588	@$(NORMAL_UNINSTALL)
589	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
590	files=`for p in $$list; do echo "$$p"; done | \
591	       sed -e 's,.*/,,;$(transform)'`; \
592	test -n "$$list" || exit 0; \
593	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
594	cd "$(DESTDIR)$(bindir)" && rm -f $$files
595
596mostlyclean-compile:
597	-rm -f *.$(OBJEXT)
598
599distclean-compile:
600	-rm -f *.tab.c
601
602include ./$(DEPDIR)/dumpsexp-dumpsexp.Po
603include ./$(DEPDIR)/gcryptrnd-gcryptrnd.Po
604include ./$(DEPDIR)/getrandom.Po
605include ./$(DEPDIR)/hmac256-hmac256.Po
606include ./$(DEPDIR)/libgcrypt_la-ath.Plo
607include ./$(DEPDIR)/libgcrypt_la-fips.Plo
608include ./$(DEPDIR)/libgcrypt_la-global.Plo
609include ./$(DEPDIR)/libgcrypt_la-hmac256.Plo
610include ./$(DEPDIR)/libgcrypt_la-hwfeatures.Plo
611include ./$(DEPDIR)/libgcrypt_la-misc.Plo
612include ./$(DEPDIR)/libgcrypt_la-missing-string.Plo
613include ./$(DEPDIR)/libgcrypt_la-module.Plo
614include ./$(DEPDIR)/libgcrypt_la-secmem.Plo
615include ./$(DEPDIR)/libgcrypt_la-sexp.Plo
616include ./$(DEPDIR)/libgcrypt_la-stdmem.Plo
617include ./$(DEPDIR)/libgcrypt_la-visibility.Plo
618
619.c.o:
620	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
621	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
622#	source='$<' object='$@' libtool=no \
623#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
624#	$(COMPILE) -c $<
625
626.c.obj:
627	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
628	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
629#	source='$<' object='$@' libtool=no \
630#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
631#	$(COMPILE) -c `$(CYGPATH_W) '$<'`
632
633.c.lo:
634	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
635	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
636#	source='$<' object='$@' libtool=yes \
637#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
638#	$(LTCOMPILE) -c -o $@ $<
639
640libgcrypt_la-visibility.lo: visibility.c
641	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-visibility.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-visibility.Tpo -c -o libgcrypt_la-visibility.lo `test -f 'visibility.c' || echo '$(srcdir)/'`visibility.c
642	$(am__mv) $(DEPDIR)/libgcrypt_la-visibility.Tpo $(DEPDIR)/libgcrypt_la-visibility.Plo
643#	source='visibility.c' object='libgcrypt_la-visibility.lo' libtool=yes \
644#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
645#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-visibility.lo `test -f 'visibility.c' || echo '$(srcdir)/'`visibility.c
646
647libgcrypt_la-misc.lo: misc.c
648	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-misc.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-misc.Tpo -c -o libgcrypt_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
649	$(am__mv) $(DEPDIR)/libgcrypt_la-misc.Tpo $(DEPDIR)/libgcrypt_la-misc.Plo
650#	source='misc.c' object='libgcrypt_la-misc.lo' libtool=yes \
651#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
652#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
653
654libgcrypt_la-global.lo: global.c
655	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-global.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-global.Tpo -c -o libgcrypt_la-global.lo `test -f 'global.c' || echo '$(srcdir)/'`global.c
656	$(am__mv) $(DEPDIR)/libgcrypt_la-global.Tpo $(DEPDIR)/libgcrypt_la-global.Plo
657#	source='global.c' object='libgcrypt_la-global.lo' libtool=yes \
658#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
659#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-global.lo `test -f 'global.c' || echo '$(srcdir)/'`global.c
660
661libgcrypt_la-sexp.lo: sexp.c
662	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-sexp.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-sexp.Tpo -c -o libgcrypt_la-sexp.lo `test -f 'sexp.c' || echo '$(srcdir)/'`sexp.c
663	$(am__mv) $(DEPDIR)/libgcrypt_la-sexp.Tpo $(DEPDIR)/libgcrypt_la-sexp.Plo
664#	source='sexp.c' object='libgcrypt_la-sexp.lo' libtool=yes \
665#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
666#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-sexp.lo `test -f 'sexp.c' || echo '$(srcdir)/'`sexp.c
667
668libgcrypt_la-hwfeatures.lo: hwfeatures.c
669	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-hwfeatures.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-hwfeatures.Tpo -c -o libgcrypt_la-hwfeatures.lo `test -f 'hwfeatures.c' || echo '$(srcdir)/'`hwfeatures.c
670	$(am__mv) $(DEPDIR)/libgcrypt_la-hwfeatures.Tpo $(DEPDIR)/libgcrypt_la-hwfeatures.Plo
671#	source='hwfeatures.c' object='libgcrypt_la-hwfeatures.lo' libtool=yes \
672#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
673#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-hwfeatures.lo `test -f 'hwfeatures.c' || echo '$(srcdir)/'`hwfeatures.c
674
675libgcrypt_la-stdmem.lo: stdmem.c
676	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-stdmem.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-stdmem.Tpo -c -o libgcrypt_la-stdmem.lo `test -f 'stdmem.c' || echo '$(srcdir)/'`stdmem.c
677	$(am__mv) $(DEPDIR)/libgcrypt_la-stdmem.Tpo $(DEPDIR)/libgcrypt_la-stdmem.Plo
678#	source='stdmem.c' object='libgcrypt_la-stdmem.lo' libtool=yes \
679#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
680#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-stdmem.lo `test -f 'stdmem.c' || echo '$(srcdir)/'`stdmem.c
681
682libgcrypt_la-secmem.lo: secmem.c
683	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-secmem.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-secmem.Tpo -c -o libgcrypt_la-secmem.lo `test -f 'secmem.c' || echo '$(srcdir)/'`secmem.c
684	$(am__mv) $(DEPDIR)/libgcrypt_la-secmem.Tpo $(DEPDIR)/libgcrypt_la-secmem.Plo
685#	source='secmem.c' object='libgcrypt_la-secmem.lo' libtool=yes \
686#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
687#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-secmem.lo `test -f 'secmem.c' || echo '$(srcdir)/'`secmem.c
688
689libgcrypt_la-missing-string.lo: missing-string.c
690	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-missing-string.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-missing-string.Tpo -c -o libgcrypt_la-missing-string.lo `test -f 'missing-string.c' || echo '$(srcdir)/'`missing-string.c
691	$(am__mv) $(DEPDIR)/libgcrypt_la-missing-string.Tpo $(DEPDIR)/libgcrypt_la-missing-string.Plo
692#	source='missing-string.c' object='libgcrypt_la-missing-string.lo' libtool=yes \
693#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
694#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-missing-string.lo `test -f 'missing-string.c' || echo '$(srcdir)/'`missing-string.c
695
696libgcrypt_la-module.lo: module.c
697	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-module.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-module.Tpo -c -o libgcrypt_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c
698	$(am__mv) $(DEPDIR)/libgcrypt_la-module.Tpo $(DEPDIR)/libgcrypt_la-module.Plo
699#	source='module.c' object='libgcrypt_la-module.lo' libtool=yes \
700#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
701#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c
702
703libgcrypt_la-fips.lo: fips.c
704	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-fips.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-fips.Tpo -c -o libgcrypt_la-fips.lo `test -f 'fips.c' || echo '$(srcdir)/'`fips.c
705	$(am__mv) $(DEPDIR)/libgcrypt_la-fips.Tpo $(DEPDIR)/libgcrypt_la-fips.Plo
706#	source='fips.c' object='libgcrypt_la-fips.lo' libtool=yes \
707#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
708#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-fips.lo `test -f 'fips.c' || echo '$(srcdir)/'`fips.c
709
710libgcrypt_la-hmac256.lo: hmac256.c
711	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-hmac256.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-hmac256.Tpo -c -o libgcrypt_la-hmac256.lo `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
712	$(am__mv) $(DEPDIR)/libgcrypt_la-hmac256.Tpo $(DEPDIR)/libgcrypt_la-hmac256.Plo
713#	source='hmac256.c' object='libgcrypt_la-hmac256.lo' libtool=yes \
714#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
715#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-hmac256.lo `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
716
717libgcrypt_la-ath.lo: ath.c
718	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-ath.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-ath.Tpo -c -o libgcrypt_la-ath.lo `test -f 'ath.c' || echo '$(srcdir)/'`ath.c
719	$(am__mv) $(DEPDIR)/libgcrypt_la-ath.Tpo $(DEPDIR)/libgcrypt_la-ath.Plo
720#	source='ath.c' object='libgcrypt_la-ath.lo' libtool=yes \
721#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
722#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-ath.lo `test -f 'ath.c' || echo '$(srcdir)/'`ath.c
723
724dumpsexp-dumpsexp.o: dumpsexp.c
725	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -MT dumpsexp-dumpsexp.o -MD -MP -MF $(DEPDIR)/dumpsexp-dumpsexp.Tpo -c -o dumpsexp-dumpsexp.o `test -f 'dumpsexp.c' || echo '$(srcdir)/'`dumpsexp.c
726	$(am__mv) $(DEPDIR)/dumpsexp-dumpsexp.Tpo $(DEPDIR)/dumpsexp-dumpsexp.Po
727#	source='dumpsexp.c' object='dumpsexp-dumpsexp.o' libtool=no \
728#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
729#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -c -o dumpsexp-dumpsexp.o `test -f 'dumpsexp.c' || echo '$(srcdir)/'`dumpsexp.c
730
731dumpsexp-dumpsexp.obj: dumpsexp.c
732	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -MT dumpsexp-dumpsexp.obj -MD -MP -MF $(DEPDIR)/dumpsexp-dumpsexp.Tpo -c -o dumpsexp-dumpsexp.obj `if test -f 'dumpsexp.c'; then $(CYGPATH_W) 'dumpsexp.c'; else $(CYGPATH_W) '$(srcdir)/dumpsexp.c'; fi`
733	$(am__mv) $(DEPDIR)/dumpsexp-dumpsexp.Tpo $(DEPDIR)/dumpsexp-dumpsexp.Po
734#	source='dumpsexp.c' object='dumpsexp-dumpsexp.obj' libtool=no \
735#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
736#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -c -o dumpsexp-dumpsexp.obj `if test -f 'dumpsexp.c'; then $(CYGPATH_W) 'dumpsexp.c'; else $(CYGPATH_W) '$(srcdir)/dumpsexp.c'; fi`
737
738gcryptrnd-gcryptrnd.o: gcryptrnd.c
739	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -MT gcryptrnd-gcryptrnd.o -MD -MP -MF $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo -c -o gcryptrnd-gcryptrnd.o `test -f 'gcryptrnd.c' || echo '$(srcdir)/'`gcryptrnd.c
740	$(am__mv) $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo $(DEPDIR)/gcryptrnd-gcryptrnd.Po
741#	source='gcryptrnd.c' object='gcryptrnd-gcryptrnd.o' libtool=no \
742#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
743#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -c -o gcryptrnd-gcryptrnd.o `test -f 'gcryptrnd.c' || echo '$(srcdir)/'`gcryptrnd.c
744
745gcryptrnd-gcryptrnd.obj: gcryptrnd.c
746	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -MT gcryptrnd-gcryptrnd.obj -MD -MP -MF $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo -c -o gcryptrnd-gcryptrnd.obj `if test -f 'gcryptrnd.c'; then $(CYGPATH_W) 'gcryptrnd.c'; else $(CYGPATH_W) '$(srcdir)/gcryptrnd.c'; fi`
747	$(am__mv) $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo $(DEPDIR)/gcryptrnd-gcryptrnd.Po
748#	source='gcryptrnd.c' object='gcryptrnd-gcryptrnd.obj' libtool=no \
749#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
750#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -c -o gcryptrnd-gcryptrnd.obj `if test -f 'gcryptrnd.c'; then $(CYGPATH_W) 'gcryptrnd.c'; else $(CYGPATH_W) '$(srcdir)/gcryptrnd.c'; fi`
751
752hmac256-hmac256.o: hmac256.c
753	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -MT hmac256-hmac256.o -MD -MP -MF $(DEPDIR)/hmac256-hmac256.Tpo -c -o hmac256-hmac256.o `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
754	$(am__mv) $(DEPDIR)/hmac256-hmac256.Tpo $(DEPDIR)/hmac256-hmac256.Po
755#	source='hmac256.c' object='hmac256-hmac256.o' libtool=no \
756#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
757#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -c -o hmac256-hmac256.o `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
758
759hmac256-hmac256.obj: hmac256.c
760	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -MT hmac256-hmac256.obj -MD -MP -MF $(DEPDIR)/hmac256-hmac256.Tpo -c -o hmac256-hmac256.obj `if test -f 'hmac256.c'; then $(CYGPATH_W) 'hmac256.c'; else $(CYGPATH_W) '$(srcdir)/hmac256.c'; fi`
761	$(am__mv) $(DEPDIR)/hmac256-hmac256.Tpo $(DEPDIR)/hmac256-hmac256.Po
762#	source='hmac256.c' object='hmac256-hmac256.obj' libtool=no \
763#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
764#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -c -o hmac256-hmac256.obj `if test -f 'hmac256.c'; then $(CYGPATH_W) 'hmac256.c'; else $(CYGPATH_W) '$(srcdir)/hmac256.c'; fi`
765
766mostlyclean-libtool:
767	-rm -f *.lo
768
769clean-libtool:
770	-rm -rf .libs _libs
771install-m4dataDATA: $(m4data_DATA)
772	@$(NORMAL_INSTALL)
773	test -z "$(m4datadir)" || $(MKDIR_P) "$(DESTDIR)$(m4datadir)"
774	@list='$(m4data_DATA)'; test -n "$(m4datadir)" || list=; \
775	for p in $$list; do \
776	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
777	  echo "$$d$$p"; \
778	done | $(am__base_list) | \
779	while read files; do \
780	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4datadir)'"; \
781	  $(INSTALL_DATA) $$files "$(DESTDIR)$(m4datadir)" || exit $$?; \
782	done
783
784uninstall-m4dataDATA:
785	@$(NORMAL_UNINSTALL)
786	@list='$(m4data_DATA)'; test -n "$(m4datadir)" || list=; \
787	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
788	test -n "$$files" || exit 0; \
789	echo " ( cd '$(DESTDIR)$(m4datadir)' && rm -f" $$files ")"; \
790	cd "$(DESTDIR)$(m4datadir)" && rm -f $$files
791install-includeHEADERS: $(include_HEADERS)
792	@$(NORMAL_INSTALL)
793	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
794	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
795	for p in $$list; do \
796	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
797	  echo "$$d$$p"; \
798	done | $(am__base_list) | \
799	while read files; do \
800	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
801	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
802	done
803
804uninstall-includeHEADERS:
805	@$(NORMAL_UNINSTALL)
806	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
807	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
808	test -n "$$files" || exit 0; \
809	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
810	cd "$(DESTDIR)$(includedir)" && rm -f $$files
811
812ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
813	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
814	unique=`for i in $$list; do \
815	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
816	  done | \
817	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
818	      END { if (nonempty) { for (i in files) print i; }; }'`; \
819	mkid -fID $$unique
820tags: TAGS
821
822TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
823		$(TAGS_FILES) $(LISP)
824	set x; \
825	here=`pwd`; \
826	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
827	unique=`for i in $$list; do \
828	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
829	  done | \
830	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
831	      END { if (nonempty) { for (i in files) print i; }; }'`; \
832	shift; \
833	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
834	  test -n "$$unique" || unique=$$empty_fix; \
835	  if test $$# -gt 0; then \
836	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
837	      "$$@" $$unique; \
838	  else \
839	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
840	      $$unique; \
841	  fi; \
842	fi
843ctags: CTAGS
844CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
845		$(TAGS_FILES) $(LISP)
846	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
847	unique=`for i in $$list; do \
848	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
849	  done | \
850	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
851	      END { if (nonempty) { for (i in files) print i; }; }'`; \
852	test -z "$(CTAGS_ARGS)$$unique" \
853	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
854	     $$unique
855
856GTAGS:
857	here=`$(am__cd) $(top_builddir) && pwd` \
858	  && $(am__cd) $(top_srcdir) \
859	  && gtags -i $(GTAGS_ARGS) "$$here"
860
861distclean-tags:
862	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
863
864distdir: $(DISTFILES)
865	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
866	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
867	list='$(DISTFILES)'; \
868	  dist_files=`for file in $$list; do echo $$file; done | \
869	  sed -e "s|^$$srcdirstrip/||;t" \
870	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
871	case $$dist_files in \
872	  */*) $(MKDIR_P) `echo "$$dist_files" | \
873			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
874			   sort -u` ;; \
875	esac; \
876	for file in $$dist_files; do \
877	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
878	  if test -d $$d/$$file; then \
879	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
880	    if test -d "$(distdir)/$$file"; then \
881	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
882	    fi; \
883	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
884	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
885	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
886	    fi; \
887	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
888	  else \
889	    test -f "$(distdir)/$$file" \
890	    || cp -p $$d/$$file "$(distdir)/$$file" \
891	    || exit 1; \
892	  fi; \
893	done
894check-am: all-am
895check: check-am
896all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA) \
897		$(HEADERS)
898install-binPROGRAMS: install-libLTLIBRARIES
899
900installdirs:
901	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(includedir)"; do \
902	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
903	done
904install: install-am
905install-exec: install-exec-am
906install-data: install-data-am
907uninstall: uninstall-am
908
909install-am: all-am
910	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
911
912installcheck: installcheck-am
913install-strip:
914	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
915	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
916	  `test -z '$(STRIP)' || \
917	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
918mostlyclean-generic:
919
920clean-generic:
921
922distclean-generic:
923	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
924	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
925
926maintainer-clean-generic:
927	@echo "This command is intended for maintainers to use"
928	@echo "it deletes files that may require special tools to rebuild."
929clean: clean-am
930
931clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
932	clean-libtool clean-sbinPROGRAMS mostlyclean-am
933
934distclean: distclean-am
935	-rm -rf ./$(DEPDIR)
936	-rm -f Makefile
937distclean-am: clean-am distclean-compile distclean-generic \
938	distclean-tags
939
940dvi: dvi-am
941
942dvi-am:
943
944html: html-am
945
946html-am:
947
948info: info-am
949
950info-am:
951
952install-data-am: install-data-local install-includeHEADERS \
953	install-m4dataDATA
954
955install-dvi: install-dvi-am
956
957install-dvi-am:
958
959install-exec-am: install-binPROGRAMS install-binSCRIPTS \
960	install-libLTLIBRARIES install-sbinPROGRAMS
961
962install-html: install-html-am
963
964install-html-am:
965
966install-info: install-info-am
967
968install-info-am:
969
970install-man:
971
972install-pdf: install-pdf-am
973
974install-pdf-am:
975
976install-ps: install-ps-am
977
978install-ps-am:
979
980installcheck-am:
981
982maintainer-clean: maintainer-clean-am
983	-rm -rf ./$(DEPDIR)
984	-rm -f Makefile
985maintainer-clean-am: distclean-am maintainer-clean-generic
986
987mostlyclean: mostlyclean-am
988
989mostlyclean-am: mostlyclean-compile mostlyclean-generic \
990	mostlyclean-libtool
991
992pdf: pdf-am
993
994pdf-am:
995
996ps: ps-am
997
998ps-am:
999
1000uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
1001	uninstall-includeHEADERS uninstall-libLTLIBRARIES \
1002	uninstall-local uninstall-m4dataDATA uninstall-sbinPROGRAMS
1003
1004.MAKE: install-am install-strip
1005
1006.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
1007	clean-generic clean-libLTLIBRARIES clean-libtool \
1008	clean-sbinPROGRAMS ctags distclean distclean-compile \
1009	distclean-generic distclean-libtool distclean-tags distdir dvi \
1010	dvi-am html html-am info info-am install install-am \
1011	install-binPROGRAMS install-binSCRIPTS install-data \
1012	install-data-am install-data-local install-dvi install-dvi-am \
1013	install-exec install-exec-am install-html install-html-am \
1014	install-includeHEADERS install-info install-info-am \
1015	install-libLTLIBRARIES install-m4dataDATA install-man \
1016	install-pdf install-pdf-am install-ps install-ps-am \
1017	install-sbinPROGRAMS install-strip installcheck \
1018	installcheck-am installdirs maintainer-clean \
1019	maintainer-clean-generic mostlyclean mostlyclean-compile \
1020	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1021	tags uninstall uninstall-am uninstall-binPROGRAMS \
1022	uninstall-binSCRIPTS uninstall-includeHEADERS \
1023	uninstall-libLTLIBRARIES uninstall-local uninstall-m4dataDATA \
1024	uninstall-sbinPROGRAMS
1025
1026
1027#.rc.lo:
1028#	$(LTRCCOMPILE) -i "$<" -o "$@"
1029
1030#install-def-file:
1031#	$(INSTALL) $(srcdir)/libgcrypt.def $(DESTDIR)$(libdir)/libgcrypt.def
1032
1033#uninstall-def-file:
1034#	-rm $(DESTDIR)$(libdir)/libgcrypt.def
1035install-def-file:
1036uninstall-def-file:
1037
1038install-data-local: install-def-file
1039
1040uninstall-local: uninstall-def-file
1041
1042# FIXME: We need to figure out how to get the actual name (parsing
1043# libgcrypt.la?) and how to create the hmac file already at link time
1044# so that it can be used without installing libgcrypt first.
1045#install-exec-hook:
1046#	./hmac256 "What am I, a doctor or a moonshuttle conductor?" \
1047#          < $(DESTDIR)$(libdir)/libgcrypt.so.11.5.0 \
1048#          > $(DESTDIR)$(libdir)/.libgcrypt.so.11.5.0.hmac
1049
1050# Tell versions [3.59,3.63) of GNU make to not export all variables.
1051# Otherwise a system limit (for SysV at least) may be exceeded.
1052.NOEXPORT:
1053